My Oracle Support Banner

OPSS - Error Upgrading Fusion Middleware from 11.1.1.9 to 12c . JPS-05542: Bootstrap Credential Store Context Missing (Doc ID 2878947.1)

Last updated on JUNE 29, 2022

Applies to:

Oracle Platform Security for Java - Version 12.2.1.4.0 and later
Information in this document applies to any platform.

Symptoms

FMW product failing on upgrade process from 11.1.1.9.0 to 12.2.1.4.0. Running the reconfig.sh script it reports next message: "JPS-05542 Bootstrap credential store context missing".
Here is part of the message collected in the log file:

2022-04-21 14:45:28,045 FINE [88] oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl - Error during upgrading OPSS domain. Exception oracle.security.jps.JpsException: null
java.security.PrivilegedActionException: oracle.security.jps.JpsException: JPS-05542: Bootstrap credential store context missing
at java.security.AccessController.doPrivileged(Native Method)
at oracle.security.jps.upgrade.tools.utility.Upgrade.seedAuditCredntial(Upgrade.java:1784)
at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSSConfig(Upgrade.java:1229)
at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSS(Upgrade.java:765)
at oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl.reconfigSubsystem(OpssDomainConfigImpl.java:364)
at oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl.initializeSubsystem(OpssDomainConfigImpl.java:276)
at oracle.security.opss.tools.lifecycle.cie.OpssSecurityConfiguration.initializeSubsystem(OpssSecurityConfiguration.java:188)
at com.oracle.cie.domain.progress.template.importer.ImporterOPSSProcessingPhase.initialize(ImporterOPSSProcessingPhase.java:36)
at com.oracle.cie.domain.progress.domain.generation.OPSSProcessingPhase.processOPSS(OPSSProcessingPhase.java:154)
at com.oracle.cie.domain.progress.domain.generation.OPSSProcessingPhase.execute(OPSSProcessingPhase.java:54)
at com.oracle.cie.domain.progress.AbstractProgressGenerator.run(AbstractProgressGenerator.java:94)
at java.lang.Thread.run(Thread.java:750)
Caused by: oracle.security.jps.JpsException: JPS-05542: Bootstrap credential store context missing
at oracle.security.jps.internal.tools.utility.mgrs.JpsCredentialStoreAPIManager.getBootStrapCredentialStore(JpsCredentialStoreAPIManager.java:293)
at oracle.security.jps.upgrade.tools.utility.Upgrade$2.run(Upgrade.java:1786)

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.